petsc-3.7.7 2017-09-25
Report Typos and Errors

# MatPartitioningChacoSetGlobal

Set global method for Chaco partitioner.

### Synopsis

    #include "petscmat.h"
    PetscErrorCode MatPartitioningChacoSetGlobal(MatPartitioning part,MPChacoGlobalType method)

Collective on MatPartitioning

### Input Parameters

| part | - the partitioning context
| method | - one of MP_CHACO_MULTILEVEL, MP_CHACO_SPECTRAL, MP_CHACO_LINEAR, MP_CHACO_RANDOM or MP_CHACO_SCATTERED

### Options Database

-mat_partitioning_chaco_global <method> -the global method

### Notes

The default is the multi-level method. See Chaco documentation for additional details.

### See Also

MatPartitioningChacoSetLocal(),MatPartitioningChacoGetGlobal()

Level:advanced
Location:src/mat/partition/impls/chaco/chaco.c
Index of all MatOrderings routines
Table of Contents for all manual pages
Index of all manual pages